gnutls_privkey_status(3)

NAME
gnutls_privkey_status - API function

SYNOPSIS
#include <gnutls/abstract.h>

int gnutls_privkey_status(gnutls_privkey_t key);

ARGUMENTS

gnutls_privkey_t key
    Holds the key

DESCRIPTION
Checks the status of the private key token. This function is an actual wrapper over gnutls_pkcs11_privkey_status(), and if the private key is a PKCS 11 token it will check whether it is inserted or not.

RETURNS
this function will return non-zero if the token holding the private key is still available (inserted), and zero otherwise.

SINCE
3.1.10

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/